🤑 Indie game store🙌 Free games😂 Fun games😨 Horror games
👷 Game development🎨 Assets📚 Comics
🎉 Sales🎁 Bundles

it says 0.1.5c for x86 but ill try and download again

its now 0.1.6a and works, thank you

when I try to host or join it asks me to download again for the latest version

I'm not sure what would be causing that - it should only be checking the version on startup.

The only thing I could suggest other than deleting/re-downloading again, would be to make sure it's not being blocked by your firewall. If both of these don't work, let me know, and I'll see if I can track down the cause